<html>
<body>
<pre>
<?php

	// strings test
	
	include('../fshl-helper.php');
	
	echo get_string_source("hello world !")."\n";
	echo get_string_source("")."\n";
	
	echo get_string_source("must be double quoted\n")."\n";
	echo get_string_source("\n\t\r")."\n";
	
	echo get_string_source(chr(3).chr(4)."ri")."\n";
	echo get_string_source("\x03\x04ri")."\n";
	
	echo get_string_source(chr(0))."\n";
	echo get_string_source("\x00")."\n";
	
	// back slashes
	echo get_string_source("\\")."\n";
	echo get_string_source("\\\\")."\n";
	echo get_string_source("\"")."\n";
	echo get_string_source('\"')."\n";
	echo get_string_source('\\')."\n";
	
?>
</pre>
</body>
</html>
